Package be.fgov.ehealth.hubservices.core.v1

# Class GetHCPartyResponse

java.lang.Object
be.fgov.ehealth.hubservices.core.v1.GetHCPartyResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:35+02:00", comments="JAXB RI v4.0.5") public class GetHCPartyResponse extends Object implements Serializable

Java class for GetHCPartyResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetHCPartyResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="response" type="{http://www.ehealth.fgov.be/hubservices/core/v1}ResponseType"/>
             <element name="acknowledge" type="{http://www.ehealth.fgov.be/hubservices/core/v1}AcknowledgeType"/>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v1}HCPartyAdaptedType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetHCPartyResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AcknowledgeType`
  `getAcknowledge()`
  Gets the value of the acknowledge property.
  `HCPartyAdaptedType`
  `getHcparty()`
  Gets the value of the hcparty property.
  `ResponseType`
  `getResponse()`
  Gets the value of the response property.
  `void`
  `setAcknowledge(AcknowledgeType value)`
  Sets the value of the acknowledge property.
  `void`
  `setHcparty(HCPartyAdaptedType value)`
  Sets the value of the hcparty property.
  `void`
  `setResponse(ResponseType value)`
  Sets the value of the response property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetHCPartyResponse

    public GetHCPartyResponse()

- ## Method Details

  - ### getResponse

    public ResponseType getResponse()
    Gets the value of the response property.
    Returns:
      possible object is `ResponseType`

  - ### setResponse

    public void setResponse(ResponseType value)
    Sets the value of the response property.
    Parameters:
      `value` - allowed object is `ResponseType`

  - ### getAcknowledge

    public AcknowledgeType getAcknowledge()
    Gets the value of the acknowledge property.
    Returns:
      possible object is `AcknowledgeType`

  - ### setAcknowledge

    public void setAcknowledge(AcknowledgeType value)
    Sets the value of the acknowledge property.
    Parameters:
      `value` - allowed object is `AcknowledgeType`

  - ### getHcparty

    public HCPartyAdaptedType getHcparty()
    Gets the value of the hcparty property.
    Returns:
      possible object is `HCPartyAdaptedType`

  - ### setHcparty

    public void setHcparty(HCPartyAdaptedType value)
    Sets the value of the hcparty property.
    Parameters:
      `value` - allowed object is `HCPartyAdaptedType`